<?php

namespace Modules\Financial\Entities;

use Illuminate\Database\Eloquent\Model;
use Modules\Core\Entities\User;

class InvoiceTransaction extends Model
{
    protected $fillable = ['invoice_id','gateway_id','card_number','transaction_reference_id','trace_number','reference_number','extra_data','status'];

    public function invoice(){
        return $this->belongsTo(Invoice::class);
    }
    public function gateway(){
        return $this->belongsTo(Gateway::class);
    }
}
